﻿/* GridCRUDComponent */
.grid-crud {
    background-color: #fff !important;
    border-radius: var(--border-radius-3) !important;
}

.grid-crud tr:hover {
    background-color: var(--color-gray-100) !important;
}

.grid-crud td {
    border-left: none !important;
    height: 3rem !important;
}

.grid-crud th {
    background-color: #fff !important;
    border-right: none !important;
    height: 3rem !important;
}

.grid-crud th.dxbl-grid-header.dxbl-grid-action {
    border: none !important;
    border-bottom: 1px solid var(--color-gray-500) !important;
}

.grid-crud button.dxbl-btn.dxbl-btn-outline-secondary.dxbl-pager-page-btn.dxbl-pager-active-page-btn {
    background-color: #fff !important;
    color: #000 !important;
}

.grid-crud div.dxbl-grid-top-panel {
    border: none !important;
}

.grid-crud .dx-grid-crud .dxbl-align-right {
    text-align: left !important;
}

.grid-crud div.dxbl-grid-bottom-panel dxbl-pager-container {
    border: none !important;
}


/* --- GridCRUDComponent dentro de FormCRUDComponent --- */
div.sub-table-container {
    border: 1px solid var(--color-gray-500) !important;
    border-radius: var(--border-radius-4) !important;
    margin-top: var(--spacing-4) !important;
}

div.sub-table-container .grid-crud {
    border-left: none !important;
    border-right: none !important;
    border-bottom: none !important;
}

div.sub-table-container .grid-crud div.header-container {
    padding: var(--spacing-3) !important;
}

div.sub-table-container .grid-crud .dxbl-grid.dx-grid-crud {
    border: none !important;
}

div.sub-table-container .grid-crud .dxbl-grid.dx-grid-crud th,
div.sub-table-container .grid-crud .dxbl-grid.dx-grid-crud td {
    padding-left: var(--spacing-3) !important;
}


/* --- FormCRUDComponent Tablas dentro de PESTAÑAS --- */
.container-content.table-container-content {
    border: none;
    margin-bottom: 0 !important;
    padding: var(--spacing-4) !important;
    padding-bottom: 0 !important;
}

.container-content.table-container-content .header-container.sub-header {
    justify-content: space-between !important;
    padding: 0;
}

.container-content.table-container-content .dx-grid-crud {
    border-radius: var(--border-radius-3) !important;
}


